
package jp.riken.brain.ni.samuraigraph.base;

import java.awt.Color;


/**
 * An object to manage text string objects.
 * 
 */
public interface SGIFigureElementString extends SGIFigureElement
{


	/**
	 * 
	 */
	public boolean addString( int x, int y );


	/**
	 * 
	 * @param x
	 * @param y
	 * @param str
	 * @return
	 */
	public boolean addString( final int x, final int y, final String str );


	/**
	 * 
	 * @param element
	 */
	public void setAxisElement( final SGIFigureElementAxis element );


	public static final String TAG_NAME_STRING_ELEMENT = "Labels";


	public boolean setAxisXDirectly( final int id, final int value );
	public boolean setAxisYDirectly( final int id, final int value );
	public boolean setTextDirectly( final int id , final String value );
	public boolean setLocationXDirectly( final int id, final double value );
	public boolean setLocationYDirectly( final int id, final double value );
	public boolean setFontNameDirectly( final int id, final String value );
	public boolean setFontStyleDirectly( final int id, final int value );
	public boolean setFontSizeDirectly( final int id, final float value, final String unit );
	public boolean setFontColorDirectly( final int id, final Color value );
	public boolean setAngleDirectly( final int id, final float value );


}

